Subject: Re: [PATCH] mailinfo: resolve -Wstring-plus-int warning

From: Junio C Hamano <[email-masked]>
Date: Mon, 22 Sep 2014 13:50:37 -0700

Eric Sunshine <[email-masked]> writes:

> however, the solution in this patch allows us drop a couple strlen()s in
> favor of sizeof()s.

It is actually not a very good justification when you know you care
about the length of the string.  A decent compiler ought to know the
length of a constant string can be computed at the compilation time.

Let's at least not do that part of the change.